Sync User
POST /obp/v7.0.0/users/PROVIDER/PROVIDER_ID/sync
OBPv5.1.0-syncExternalUser Roles: CanSyncUser User
The endpoint is used to create or sync an OBP User with User from an external identity provider. PROVIDER is the host of the provider e.g. a Keycloak Host. PROVIDER_ID is the unique identifier for the User at the PROVIDER. At the end of the process, a User will exist in OBP with the Account Access records defined by the CBS.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
PROVIDER: ETHEREUM
JSON request body fields (0)
JSON response body fields (1)
Example success response
{
"duration_time": "10 ms"
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.